# Uses of Class
serp.bytecode.InnerClass

Packages that use InnerClass
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of InnerClass in serp.bytecode

Methods in serp.bytecode that return InnerClass
Modifier and Type
Method
Description
`InnerClass`
InnerClasses.`addInnerClass()`
Add an inner class.
`InnerClass`
InnerClasses.`addInnerClass(String name, Class type, Class owner)`
Add an inner class.
`InnerClass`
InnerClasses.`addInnerClass(String name, String type, String owner)`
Add an inner class.
`InnerClass`
InnerClasses.`addInnerClass(String name, BCClass type, BCClass owner)`
Add an inner class.
`InnerClass`
InnerClasses.`addInnerClass(InnerClass inner)`
Import an inner class from another entity, or make a copy of one on this entity.
`InnerClass`
InnerClasses.`getInnerClass(String name)`
Return the inner class with the given name.
`InnerClass[]`
InnerClasses.`getInnerClasses()`
Return all referenced inner classes, or empty array if none.
`InnerClass[]`
InnerClasses.`getInnerClasses(String name)`
Return all inner classes with the given name, or empty array if none.
Methods in serp.bytecode with parameters of type InnerClass
Modifier and Type
Method
Description
`InnerClass`
InnerClasses.`addInnerClass(InnerClass inner)`
Import an inner class from another entity, or make a copy of one on this entity.
`boolean`
InnerClasses.`removeInnerClass(InnerClass innerClass)`
Remove the given inner class.
`void`
InnerClasses.`setInnerClasses(InnerClass[] inners)`
Set the inner class references for this class.

## Uses of InnerClass in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type InnerClass
Modifier and Type
Method
Description
`void`
BCVisitor.`enterInnerClass(InnerClass obj)`
`void`
PrettyPrintVisitor.`enterInnerClass(InnerClass obj)`
`void`
BCVisitor.`exitInnerClass(InnerClass obj)`
`void`
PrettyPrintVisitor.`exitInnerClass(InnerClass obj)`